from mikeplus.tables.base_geometry_table import BaseGeometryTable
from mikeplus.tables.base_geometry_table import BaseColumns

class mrm_DambreakTableColumns(BaseColumns):
    """Column names for mrm_Dambreak (Dambreak)."""
    MUID = "MUID"
    Enabled = "Enabled"
    RiverID = "RiverID"
    Chainage = "Chainage"
    BreachFormulATypeNo = "BreachFormulATypeNo"
    FailureModeTypeNo = "FailureModeTypeNo"
    CrestLevel = "CrestLevel"
    CrestLength = "CrestLength"
    FailureMomentTypeNo = "FailureMomentTypeNo"
    FailureMomentHours = "FailureMomentHours"
    ActiveDateTime = "ActiveDateTime"
    WaterLevel = "WaterLevel"
    PosInflow = "PosInflow"
    PosOutflow = "PosOutflow"
    PosFreeOverflow = "PosFreeOverflow"
    NegInflow = "NegInflow"
    NegOutflow = "NegOutflow"
    NegFreeOverflow = "NegFreeOverflow"
    ApplyFactorNo = "ApplyFactorNo"
    FactorValue = "FactorValue"
    UpstreamSlope = "UpstreamSlope"
    DownstreamSlope = "DownstreamSlope"
    TopWidth = "TopWidth"
    GrainDiameter = "GrainDiameter"
    SpecificGravity = "SpecificGravity"
    Porosity = "Porosity"
    CriticalStress = "CriticalStress"
    SideErosionIndex = "SideErosionIndex"
    MinBottomLevel = "MinBottomLevel"
    MaxBottomWidth = "MaxBottomWidth"
    MaxBreachSlope = "MaxBreachSlope"
    InitialFailureTypeNo = "InitialFailureTypeNo"
    InitialLevel = "InitialLevel"
    InitialWidth = "InitialWidth"
    StartingLevel = "StartingLevel"
    InitialDiameter = "InitialDiameter"
    Roughness = "Roughness"
    CollapseRatio = "CollapseRatio"
    VolumeLossRatio = "VolumeLossRatio"
    CalibrationCoeff = "CalibrationCoeff"
    BreachLevelTypeNo = "BreachLevelTypeNo"
    BreachLevelConstant = "BreachLevelConstant"
    BreachLevelPath = "BreachLevelPath"
    BreachLevelItem = "BreachLevelItem"
    BreachWidthTypeNo = "BreachWidthTypeNo"
    BreachWidthConstant = "BreachWidthConstant"
    BreachWidthPath = "BreachWidthPath"
    BreachWidthItem = "BreachWidthItem"
    SlopeTypeNo = "SlopeTypeNo"
    SlopeConstant = "SlopeConstant"
    SlopePath = "SlopePath"
    SlopeItem = "SlopeItem"
    ApplyLimitingNo = "ApplyLimitingNo"
    ApplyRiverID = "ApplyRiverID"
    ApplyTopoID = "ApplyTopoID"
    ApplyChainage = "ApplyChainage"
    ApplySCoordinate = "ApplySCoordinate"
    PipeLevelTypeNo = "PipeLevelTypeNo"
    PipeLevelConstant = "PipeLevelConstant"
    PipeLevelPath = "PipeLevelPath"
    PipeLevelItem = "PipeLevelItem"
    DataSource = "DataSource"
    Element_S = "Element_S"
    Description = "Description"

class mrm_DambreakTable(BaseGeometryTable):
    """Table for mrm_Dambreak (Dambreak)."""
    
    @property
    def columns(self) -> mrm_DambreakTableColumns:
        """Get the columns for the table."""
        if self._columns is None:
            self._columns = mrm_DambreakTableColumns(self)
        return self._columns