from mikeplus.tables.base_geometry_table import BaseGeometryTable
from mikeplus.tables.base_geometry_table import BaseColumns

class msm_CatchmentTableColumns(BaseColumns):
    """Column names for msm_Catchment (Catchments)."""
    MUID = "MUID"
    Enabled = "Enabled"
    GeomCentroidX = "GeomCentroidX"
    GeomCentroidY = "GeomCentroidY"
    Area = "Area"
    GeomArea = "GeomArea"
    Persons = "Persons"
    HydrologicalModelNo = "HydrologicalModelNo"
    LossDefinition = "LossDefinition"
    ModelAImpArea = "ModelAImpArea"
    ModelALocalNo = "ModelALocalNo"
    ModelAParAID = "ModelAParAID"
    ModelAConcTime = "ModelAConcTime"
    ModelARFactor = "ModelARFactor"
    ModelAILoss = "ModelAILoss"
    ModelACoeffNo = "ModelACoeffNo"
    ModelATACurveID = "ModelATACurveID"
    ModelATACoeff = "ModelATACoeff"
    ModelBLength = "ModelBLength"
    ModelBSlope = "ModelBSlope"
    ModelBParBID = "ModelBParBID"
    ModelBAISteep = "ModelBAISteep"
    ModelBAIFlat = "ModelBAIFlat"
    ModelBAPSmall = "ModelBAPSmall"
    ModelBAPMedium = "ModelBAPMedium"
    ModelBAPLarge = "ModelBAPLarge"
    ModelBLocalNo = "ModelBLocalNo"
    FricTypeNo = "FricTypeNo"
    ModelBMISteep = "ModelBMISteep"
    ModelBMIFlat = "ModelBMIFlat"
    ModelBMPSmall = "ModelBMPSmall"
    ModelBMPMedium = "ModelBMPMedium"
    ModelBMPLarge = "ModelBMPLarge"
    ModelC1EffectiveArea = "ModelC1EffectiveArea"
    ModelC1LocalNo = "ModelC1LocalNo"
    ModelC1ParCID = "ModelC1ParCID"
    ModelC1TimeConst = "ModelC1TimeConst"
    ModelC1ILoss = "ModelC1ILoss"
    ModelCLength = "ModelCLength"
    ModelCSlope = "ModelCSlope"
    ModelC2ImperviousArea = "ModelC2ImperviousArea"
    ModelC2LocalNo = "ModelC2LocalNo"
    ModelC2ParCID = "ModelC2ParCID"
    ModelC2RedFactor = "ModelC2RedFactor"
    ModelC2ILoss = "ModelC2ILoss"
    ModelC2LagTime = "ModelC2LagTime"
    ModelC2TimeConst = "ModelC2TimeConst"
    ModelUHMAreaFactor = "ModelUHMAreaFactor"
    ModelUHMMethodNo = "ModelUHMMethodNo"
    ModelUHMHydrographTableID = "ModelUHMHydrographTableID"
    ModelUHMCp = "ModelUHMCp"
    ModelUHMSuhSlope = "ModelUHMSuhSlope"
    ModelUHMLossModelNo = "ModelUHMLossModelNo"
    ModelUHMInitLoss = "ModelUHMInitLoss"
    ModelUHMConstLoss = "ModelUHMConstLoss"
    ModelUHMRunoffCoeff = "ModelUHMRunoffCoeff"
    ModelUHMCurveNum = "ModelUHMCurveNum"
    ModelUHMAMC = "ModelUHMAMC"
    ModelUHMInitAbstractDepth = "ModelUHMInitAbstractDepth"
    ModelUHMLagTimeMethodNo = "ModelUHMLagTimeMethodNo"
    ModelUHMLagTime = "ModelUHMLagTime"
    ModelUHMHydraulicLength = "ModelUHMHydraulicLength"
    ModelUHMLagCurveNum = "ModelUHMLagCurveNum"
    ModelUHMSlope = "ModelUHMSlope"
    ModelUHMSuhCt = "ModelUHMSuhCt"
    ModelUHMSuhL = "ModelUHMSuhL"
    ModelUHMSuhLc = "ModelUHMSuhLc"
    ModelUHMStreamSlope = "ModelUHMStreamSlope"
    ModelUHMBasFactor = "ModelUHMBasFactor"
    AddFlowNo = "AddFlowNo"
    AddFlow = "AddFlow"
    RdiiArea = "RdiiArea"
    ParRdiiID = "ParRdiiID"
    IncludeAutoCalNo = "IncludeAutoCalNo"
    SWMM_LoadToNo = "SWMM_LoadToNo"
    SWMM_OutletNodeID = "SWMM_OutletNodeID"
    SWMM_OutletCatchmentID = "SWMM_OutletCatchmentID"
    SWMM_RaingageID = "SWMM_RaingageID"
    SWMM_Width = "SWMM_Width"
    SWMM_Slope = "SWMM_Slope"
    SWMM_Impervious = "SWMM_Impervious"
    SWMM_NImperv = "SWMM_NImperv"
    SWMM_NPerv = "SWMM_NPerv"
    SWMM_SnowPackID = "SWMM_SnowPackID"
    SWMM_NPervPatternID = "SWMM_NPervPatternID"
    SWMM_DstorePatternID = "SWMM_DstorePatternID"
    SWMM_DImperv = "SWMM_DImperv"
    SWMM_DPerv = "SWMM_DPerv"
    SWMM_ImpervPctZero = "SWMM_ImpervPctZero"
    SWMM_RouteToNo = "SWMM_RouteToNo"
    SWMM_PctRouted = "SWMM_PctRouted"
    SWMM_CurbLength = "SWMM_CurbLength"
    SWMM_InfilPatternID = "SWMM_InfilPatternID"
    SWMM_MaxRate = "SWMM_MaxRate"
    SWMM_MinRate = "SWMM_MinRate"
    SWMM_MaxInFil = "SWMM_MaxInFil"
    SWMM_DecayRate = "SWMM_DecayRate"
    SWMM_HRegen = "SWMM_HRegen"
    SWMM_Suction = "SWMM_Suction"
    SWMM_InitDef = "SWMM_InitDef"
    SWMM_Conduct = "SWMM_Conduct"
    SWMM_RunoffCN = "SWMM_RunoffCN"
    SWMM_CRegen = "SWMM_CRegen"
    SWMM_Tag = "SWMM_Tag"
    DataSource = "DataSource"
    AssetName = "AssetName"
    Element_S = "Element_S"
    NetTypeNo = "NetTypeNo"
    Description = "Description"

class msm_CatchmentTable(BaseGeometryTable):
    """Table for msm_Catchment (Catchments)."""
    
    @property
    def columns(self) -> msm_CatchmentTableColumns:
        """Get the columns for the table."""
        if self._columns is None:
            self._columns = msm_CatchmentTableColumns(self)
        return self._columns