from mikeplus.tables.base_table import BaseTable
from mikeplus.tables.base_table import BaseColumns

class msm_ProjectTableColumns(BaseColumns):
    """Column names for msm_Project (Simulation setup)."""
    MUID = "MUID"
    Sqn = "Sqn"
    IncludeToBatchNo = "IncludeToBatchNo"
    ScenarioName = "ScenarioName"
    ActiveProject = "ActiveProject"
    Enable_Catchment = "Enable_Catchment"
    Enable_CS = "Enable_CS"
    Enable_River = "Enable_River"
    Enable_2DOverland = "Enable_2DOverland"
    Enable_RR = "Enable_RR"
    Enable_CD = "Enable_CD"
    Enable_HD = "Enable_HD"
    Enable_LTS = "Enable_LTS"
    Enable_AD = "Enable_AD"
    Enable_ECOLAB = "Enable_ECOLAB"
    Enable_ST = "Enable_ST"
    Enable_DA = "Enable_DA"
    Enable_MHRiver_Coupling = "Enable_MHRiver_Coupling"
    Enable_M21FM_Coupling = "Enable_M21FM_Coupling"
    ComputationBegin = "ComputationBegin"
    ComputationEnd = "ComputationEnd"
    Description = "Description"
    TADt = "TADt"
    KWDt = "KWDt"
    UHMDt = "UHMDt"
    DtWetPeriod = "DtWetPeriod"
    DtDryPeriod = "DtDryPeriod"
    SRCDt = "SRCDt"
    CDDt = "CDDt"
    DistribTypeNo = "DistribTypeNo"
    Power = "Power"
    SearchRadius = "SearchRadius"
    RDIHotStartNo = "RDIHotStartNo"
    RDIHotStartFileName = "RDIHotStartFileName"
    RDIHotStartTimeUseNo = "RDIHotStartTimeUseNo"
    RDIHotStartTime = "RDIHotStartTime"
    ADPRunoffFileNo = "ADPRunoffFileNo"
    ADPRunoffFileName = "ADPRunoffFileName"
    HDTimeStepType = "HDTimeStepType"
    HDDtFixed = "HDDtFixed"
    HDDtMin = "HDDtMin"
    HDDtMax = "HDDtMax"
    HDDtIncreaseFactor = "HDDtIncreaseFactor"
    M2DHDMaxCFL = "M2DHDMaxCFL"
    HDInitCondTypeNo = "HDInitCondTypeNo"
    HDInitCondID = "HDInitCondID"
    StateFilesFolder = "StateFilesFolder"
    UseSimulationTypeNo = "UseSimulationTypeNo"
    StateStartTime = "StateStartTime"
    ADPNetworkFileNo = "ADPNetworkFileNo"
    ADPNetworkFileName = "ADPNetworkFileName"
    ADInitCondTypeNo = "ADInitCondTypeNo"
    ADInitCondID = "ADInitCondID"
    DecouplingADHDTypeNo = "DecouplingADHDTypeNo"
    DecouplingPath = "DecouplingPath"
    ELIntegrationNo = "ELIntegrationNo"
    ELUpdateFrequency = "ELUpdateFrequency"
    M2DADDtMax = "M2DADDtMax"
    M2DADDtMin = "M2DADDtMin"
    M2DADMaxCFL = "M2DADMaxCFL"
    MJLFileName = "MJLFileName"
    HDOutputNo = "HDOutputNo"
    HDFolderPath = "HDFolderPath"
    SummaryID = "SummaryID"

class msm_ProjectTable(BaseTable):
    """Table for msm_Project (Simulation setup)."""
    
    @property
    def columns(self) -> msm_ProjectTableColumns:
        """Get the columns for the table."""
        if self._columns is None:
            self._columns = msm_ProjectTableColumns(self)
        return self._columns