from mikeplus.tables.base_table import BaseTable
from mikeplus.tables.base_table import BaseColumns

class mss_ProjectTableColumns(BaseColumns):
    """Column names for mss_Project (Simulation setup)."""
    MUID = "MUID"
    ScenarioName = "ScenarioName"
    ActiveProject = "ActiveProject"
    UseRRNo = "UseRRNo"
    UseRDNo = "UseRDNo"
    UseSMNo = "UseSMNo"
    UseGWNo = "UseGWNo"
    UseFRNo = "UseFRNo"
    Enable_2DOverland = "Enable_2DOverland"
    Enable_M21FM_Coupling = "Enable_M21FM_Coupling"
    UseWQNo = "UseWQNo"
    ComputationBegin = "ComputationBegin"
    ComputationEnd = "ComputationEnd"
    Description = "Description"
    RS_DryDay = "RS_DryDay"
    RS_DryTime = "RS_DryTime"
    RS_WetDay = "RS_WetDay"
    RS_WetTime = "RS_WetTime"
    InfiltrationModelNo = "InfiltrationModelNo"
    RainfallFileNo = "RainfallFileNo"
    RainfallFileUseSaveNo = "RainfallFileUseSaveNo"
    RainfallFileName = "RainfallFileName"
    RunoffFileSaveNo = "RunoffFileSaveNo"
    RunoffFileSaveName = "RunoffFileSaveName"
    RDIIFileSaveNo = "RDIIFileSaveNo"
    RDIIFileSaveName = "RDIIFileSaveName"
    RoutingStep = "RoutingStep"
    ControlRuleStep = "ControlRuleStep"
    RoutingModelNo = "RoutingModelNo"
    AllowPondingNo = "AllowPondingNo"
    MinConduitSlope = "MinConduitSlope"
    SkipSteadyFlowPeriodNo = "SkipSteadyFlowPeriodNo"
    SysFlowTolerance = "SysFlowTolerance"
    LatFlowTolerance = "LatFlowTolerance"
    HotstartFileSaveNo = "HotstartFileSaveNo"
    HotstartFileSaveName = "HotstartFileSaveName"
    HotstartFileUseNo = "HotstartFileUseNo"
    HotstartFileUseName = "HotstartFileUseName"
    InflowFileUseNo = "InflowFileUseNo"
    InflowFileUseName = "InflowFileUseName"
    OutflowFileSaveNo = "OutflowFileSaveNo"
    OutflowFileSaveName = "OutflowFileSaveName"
    RDIIFileUseNo = "RDIIFileUseNo"
    RDIIFileUseName = "RDIIFileUseName"
    RunoffFileUseNo = "RunoffFileUseNo"
    RunoffFileUseName = "RunoffFileUseName"
    InertialTermNo = "InertialTermNo"
    NormalFlowCritNo = "NormalFlowCritNo"
    ForceMainEqNo = "ForceMainEqNo"
    SurchargeMethodNo = "SurchargeMethodNo"
    UseVarTSNo = "UseVarTSNo"
    VarTSAdjustBy = "VarTSAdjustBy"
    MinVarTS = "MinVarTS"
    ConduitLenTS = "ConduitLenTS"
    MinNodalSurfaceArea = "MinNodalSurfaceArea"
    MaxTrialPerTS = "MaxTrialPerTS"
    HeadConvergenceTolerance = "HeadConvergenceTolerance"
    StartSweep = "StartSweep"
    EndSweep = "EndSweep"
    AntecedentDryDay = "AntecedentDryDay"
    HDOutputNo = "HDOutputNo"
    HDFolderPath = "HDFolderPath"
    HDFileName = "HDFileName"
    Report_Timestep = "Report_Timestep"
    Report_StartTime = "Report_StartTime"
    SubCatchmentsNo = "SubCatchmentsNo"
    SubCatchmentFileName = "SubCatchmentFileName"
    NodesNo = "NodesNo"
    NodesFileName = "NodesFileName"
    LinksNo = "LinksNo"
    LinksFileName = "LinksFileName"
    ReportInputNo = "ReportInputNo"
    ReportControlNo = "ReportControlNo"
    ReportAverageNo = "ReportAverageNo"
    FlowStatsNo = "FlowStatsNo"
    ControlsNo = "ControlsNo"
    ContinuityNo = "ContinuityNo"
    M2DHDDtMax = "M2DHDDtMax"
    M2DHDDtMin = "M2DHDDtMin"
    M2DHDMaxCFL = "M2DHDMaxCFL"
    M2DADDtMax = "M2DADDtMax"
    M2DADDtMin = "M2DADDtMin"
    M2DADMaxCFL = "M2DADMaxCFL"
    M2DHDOutputNo = "M2DHDOutputNo"
    M2DHDFolderPath = "M2DHDFolderPath"

class mss_ProjectTable(BaseTable):
    """Table for mss_Project (Simulation setup)."""
    
    @property
    def columns(self) -> mss_ProjectTableColumns:
        """Get the columns for the table."""
        if self._columns is None:
            self._columns = mss_ProjectTableColumns(self)
        return self._columns