from mikeplus.tables.base_table import BaseTable
from mikeplus.tables.base_table import BaseColumns

class mw_ProjectTableColumns(BaseColumns):
    """Column names for mw_Project (Simulation setup)."""
    MUID = "MUID"
    Sqn = "Sqn"
    IncludeToBatchNo = "IncludeToBatchNo"
    ScenarioID = "ScenarioID"
    ActiveProject = "ActiveProject"
    SimType = "SimType"
    QualityNo = "QualityNo"
    MsxRunTypeNo = "MsxRunTypeNo"
    MsxHydFile = "MsxHydFile"
    StartTime = "StartTime"
    EndTime = "EndTime"
    Hydr_Timestep = "Hydr_Timestep"
    Pattern_Timestep = "Pattern_Timestep"
    Qual_Timestep = "Qual_Timestep"
    Gravity = "Gravity"
    Viscosity = "Viscosity"
    Diffusivity = "Diffusivity"
    Emitter = "Emitter"
    Trials = "Trials"
    UnbalancedNo = "UnbalancedNo"
    Accuracy = "Accuracy"
    CheckFreq = "CheckFreq"
    Tolerance = "Tolerance"
    MaxCheck = "MaxCheck"
    Segments = "Segments"
    DampLimit = "DampLimit"
    MaxHeadError = "MaxHeadError"
    MaxFlowChange = "MaxFlowChange"
    ContinueTimeStepNo = "ContinueTimeStepNo"
    UseOrderWNo = "UseOrderWNo"
    UseOrderBNo = "UseOrderBNo"
    UseLimitPNo = "UseLimitPNo"
    UseCorrCNo = "UseCorrCNo"
    WallCoeff = "WallCoeff"
    BulkCoeff = "BulkCoeff"
    OrderWall = "OrderWall"
    OrderBulk = "OrderBulk"
    LimitPot = "LimitPot"
    CorrCoeff = "CorrCoeff"
    NewBulkCoeff = "NewBulkCoeff"
    NewBulkCoeffHRS = "NewBulkCoeffHRS"
    CCT_Materials = "CCT_Materials"
    HDOutputNo = "HDOutputNo"
    HDFolderPath = "HDFolderPath"
    HDFileName = "HDFileName"
    SaveRawResultsNo = "SaveRawResultsNo"
    MsxSaveHydrolicsNo = "MsxSaveHydrolicsNo"
    Report_Timestep = "Report_Timestep"
    Report_StartTime = "Report_StartTime"
    StatisticsNo = "StatisticsNo"
    Theta = "Theta"
    Alpha = "Alpha"
    G = "G"
    Hatm = "Hatm"
    Hvap = "Hvap"
    Temperature = "Temperature"
    Description = "Description"

class mw_ProjectTable(BaseTable):
    """Table for mw_Project (Simulation setup)."""
    
    @property
    def columns(self) -> mw_ProjectTableColumns:
        """Get the columns for the table."""
        if self._columns is None:
            self._columns = mw_ProjectTableColumns(self)
        return self._columns